import argparse

from dataset_utils import process_csv

if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='Converts a csv into numpy and processes it')
    parser.add_argument('-c', '--csv_path', default='./csv/fico.csv')
    parser.add_argument('-o', '--output_dir', default='./datasets/fico')
    parser.add_argument('-t', '--target', default='RiskPerform')

    args = parser.parse_args()

    process_csv(
        csv_path=args.csv_path,
        output_dir=args.output_dir,
        target_name=args.target,
    )